package com.zhibao.crm.utils;

import cn.hutool.core.collection.CollectionUtil;
import cn.hutool.core.util.StrUtil;
import java.util.Collection;
import java.util.HashSet;
import java.util.Iterator;
import java.util.Set;

public class TagUtil {

   public static final String SEPARATOR = ",";


   public static Set toSet(String tagStr) {
      HashSet tag = new HashSet();
      if(StrUtil.isEmpty(tagStr)) {
         return tag;
      } else {
         String[] split = tagStr.split(",");
         String[] var3 = split;
         int var4 = split.length;

         for(int var5 = 0; var5 < var4; ++var5) {
            String s = var3[var5];

            try {
               tag.add(Integer.valueOf(s));
            } catch (NumberFormatException var8) {
               ;
            }
         }

         return tag;
      }
   }

   public static String fromSet(Collection tag) {
      if(CollectionUtil.isEmpty(tag)) {
         return "";
      } else {
         StringBuilder sb = new StringBuilder(",");
         Iterator var2 = tag.iterator();

         while(var2.hasNext()) {
            Integer integer = (Integer)var2.next();
            if(integer != null) {
               sb.append(integer).append(",");
            }
         }

         return sb.toString();
      }
   }

   public static String fromString(String tagStr) {
      if(StrUtil.isEmpty(tagStr)) {
         return "";
      } else {
         StringBuilder sb = new StringBuilder();
         if(!tagStr.substring(0, 1).equals(",")) {
            sb.append(",");
         }

         sb.append(tagStr);
         if(!tagStr.substring(tagStr.length() - 1).equals(",")) {
            sb.append(",");
         }

         return sb.toString();
      }
   }

   public static Set toLongSet(String tagStr) {
      HashSet tag = new HashSet();
      if(StrUtil.isEmpty(tagStr)) {
         return tag;
      } else {
         String[] split = tagStr.split(",");
         String[] var3 = split;
         int var4 = split.length;

         for(int var5 = 0; var5 < var4; ++var5) {
            String s = var3[var5];

            try {
               tag.add(Long.valueOf(s));
            } catch (NumberFormatException var8) {
               ;
            }
         }

         return tag;
      }
   }

   public static String fromLongSet(Collection tag) {
      if(CollectionUtil.isEmpty(tag)) {
         return "";
      } else {
         StringBuilder sb = new StringBuilder(",");
         Iterator var2 = tag.iterator();

         while(var2.hasNext()) {
            Long l = (Long)var2.next();
            if(l != null) {
               sb.append(l).append(",");
            }
         }

         return sb.toString();
      }
   }

   public static void main(String[] args) {
      String str = ",1,2,3,4,";
      System.out.println(fromString(str));
      Set integers = toSet(str);
      System.out.println(integers.toString());
      str = null;
      System.out.println(fromString(str));
   }
}
